
Distribution EOLE - Scénario #33306

Amon/AmonEcole Les fichiers squid ne sont pas sauvegardé

10/15/2021 10:53 AM - Emmanuel GARETTE

Status: Terminé (Sprint) Start date: 11/15/2021

Priority: Normal Due date: 12/10/2021

Assigned To: Arnaud FORNEROT % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Prestation Cadoles MEN 2021 46-49 Spent time: 0.00 hour

Description

Je ne pas de fichier bareos qui sauvegarde les fichiers de personnalisation utilisateurs :

"/var/lib/eole/domaines_noauth_user"

"/etc/squid/domaines_nocache_user"

"/etc/squid/src_noauth_user"

"/etc/squid/src_nocache_user"

À faire

EOLE >= 2.8.1

Faire la liste de tous les fichiers qui devraient être sauvegardés dans le cadre de eole-proxy

Transformer le fichier bareos/fichier/proxy.conf en template

Ajouter les fichiers manquants (sans oublier de préfixer par %%container_path_proxy les chemins qui le nécessitent)

Enrichir les tests Jenkins Amon/AmonEcole en s'inspirant de ce qui a été fait pour #33252

Subtasks:

Tâche # 33426: Amon/AmonEcole Les fichiers squid ne sont pas sauvegardé Fermé

Tâche # 33462: Lister les fichiers à sauvegarder pour eole-proxy Fermé

Tâche # 33489: Enrichir les tests Jenkins Amon/AmonEcole Fermé

Related issues:

Related to Distribution EOLE - Tâche #33433: Valider le scénario Amon/AmonEco... Fermé 11/23/2021

History

#1 - 10/15/2021 03:12 PM - Joël Cuissinat

Actuellement, ça sauvegarde "juste" les logs :

eole-proxy$ cat bareos/fichier/proxy.conf

# fichiers pour le proxy

Include {

  Options {

    aclsupport = no

    @/etc/bareos/include-options.conf

    wildfile = "*squid1.info.log-*.lzma" 

  }

  Options {

    exclude = yes

    regexfile = ".*" 

  }

  File = /var/log/rsyslog/local/squid/

}
https://dev-eole.ac-dijon.fr/projects/eole-proxy
https://dev-eole.ac-dijon.fr/issues/33252


#2 - 10/15/2021 03:25 PM - Joël Cuissinat

- Tracker changed from Demande to Scénario

- Description updated

- Due date set to 11/26/2021

- Target version set to Prestation Cadoles MEN 2021 46-49

- Release set to EOLE 2.8.1

- Story points set to 2.0

#3 - 10/15/2021 03:26 PM - Joël Cuissinat

- Description updated

#4 - 10/18/2021 05:10 PM - Joël Cuissinat

- Due date deleted (11/26/2021)

- Target version deleted (Prestation Cadoles MEN 2021 46-49)

- Start date deleted (10/15/2021)

- Release changed from EOLE 2.8.1 to Carnet de produit (Cadoles)

#5 - 10/25/2021 10:00 AM - Joël Cuissinat

- Description updated

#6 - 11/18/2021 09:51 AM - Celine Rappeneau

- Due date set to 12/10/2021

- Assigned To set to Arnaud FORNEROT

- Target version set to Prestation Cadoles MEN 2021 46-49

- Start date set to 11/15/2021

#7 - 12/10/2021 09:54 AM - Joël Cuissinat

- Status changed from Nouveau to Terminé (Sprint)

#8 - 12/10/2021 09:54 AM - Joël Cuissinat

- Related to Tâche #33433: Valider le scénario Amon/AmonEcole Les fichiers squid ne sont pas sauvegardé added

#9 - 01/07/2022 11:55 AM - Joël Cuissinat

- Release changed from Carnet de produit (Cadoles) to EOLE 2.8.1
